ApTest Manager has some basic environment requirements. This document describes those requirements and suggests ways to satisfy them.

Table of Contents

1 Server system

ApTest Manager must be installed on a system that can act as a server. You will need administrative access in a shell window to the system on which ApTest Manager is to be installed in order to perform this installation.

ApTest Manager can be installed on virtually any hardware platform, but for production use a comparatively modern server system is required. A recommended minimum configuration is a 2.4GHz Pentium 4 with 1GB of RAM and 20-40GB of free disk space (depending on the size of your test case collection, number of tests run, etc.). The server may be shared with other applications, and does not need to be dedicated to ApTest Manager.

The following facilities must be available on the server:

  • A web server
  • Perl
  • Some system libraries and tools
  • Access to the internet to retrieve any required Perl modules that are not already installed.

Note: Some Linux versions support an extension known as "SE Linux". ApTest Manager will likely not operate correctly when SE Linux is enabled. You can check if it is enabled using the command sestatus. If it is enabled, you must disable it before installing and configuring ApTest Manager.

Note: Most ApTest Manager operations require sufficient free disk space to complete those operations. Should the partition on which you store your ApTest Manager data fill up, YOU WILL LOSE DATA! Therefore, you should always monitor your server to ensure that sufficient disk space is available. If you ever run out of disk space on the ApTest Manager partition, you will need to restore your data from a backup before ApTest Manager will become operational again.

1.1 Web server

The web server must support CGI or mod_perl.

The most commonly used server is Apache, which supports both CGI and mod_perl.

If you are using Apache, you should also enable mod_expires, since this will dramatically improve performance when accessing ApTest Manager from Internet Explorer.

Note: ApTest Manager runs much faster using mod_perl, and so Apache with mod_perl is the preferred web server configuration.

If using Apache 1.3, use mod_perl 1. If using Apache 2, use mod_perl 1.99.08 or later, or 2.01 or later.

1.2 Perl

Version 5.8 or better is required. If this is not already installed on your system it will be readily available from your system manufacturer or from perl.com or from CPAN.

Note: it is possible that during installation, ApTest Manager will attempt to install additional Perl modules. Some of these modules may require a C compiler to build. This C compiler must be the same compiler as the one that was used to build Perl itself. You can see what compiler that was by executing the command "perl -V".

Note: Sun Solaris 8 and 9 ship with a version of Perl that will work with ApTest Manager. However, it was built with the Sun WorkShop C Compiler. If you do not have that compilation system, and are instead trying to use the GNU gcc compiler, you will need to install a version of Perl that was built with gcc. You can find this, as well as many other useful Solaris utilities, at sunfreeware.com.

Note: A popular platform for servers is Redhat Enterprise Linux / Centos. The stock 'web server' configuration for these platforms does not usually have a C compiler installed. You can easily install the entire development environment with the command yum groupinstall "Development tools"

If an appropriate version of Perl has not been installed, you will need to acquire it from the sources above and ensure it is installed and operational.

Do not attempt to proceed with the ApTest Manager installation without Perl installed and working on your system!

1.3 System libraries

ApTest Manager uses Perl modules that require some additional system libraries. On Linux and UNIX systems, these include six system libraries: libX11, libgd, libpng, libjpeg, libssl, and libfreetype.

These libraries are readily available for all major versions of UNIX and Linux. You need to ensure these libraries are installed on your server before attempting to install ApTest Manager.

Under Redhat Linux/CentOS, for example, these libraries are available in the packages db4-devel, gd-devel, libpng-devel, libjpeg-devel, openssl-devel, and freetype-devel. You can make sure they are installed on your server with the command:

yum install perl-CPAN db4-devel openssl-devel gd-devel libpng-devel libjpeg-devel freetype-devel

On Ubuntu systems, you will need the packages 'build-essential', 'apache2', 'libapache2-mod-perl2', 'libberkeleydb-perl', 'libssl-dev', 'libnet-ssleay-perl', 'libgd2-xpm', and 'libgd2-xpm-dev'. You can make sure these are installed using the command 'apt-get install' for each of them.

apt-get install build-essential apache2 libapache2-mod-perl2 libberkeleydb-perl libssl-dev libnet-ssleay-perl libgd2-xpm libgd2-xpm-dev

For other operating systems, please consult your system administrator or operating system documentation for procedures for installing these libraries.

2 Client systems

To access ApTest Manager, you will need a web browser that supports Javascript 1.2 and frames. Modern versions of Google Chrome, Internet Explorer, and Firefox are known to work well with ApTest Manager; some parts of the product do not work correctly with Opera nor with Safari, but downgrade gracefully.

Copyright © 2000-2015 Applied Testing and Technology, Inc. All rights reserved.